package cn.com.qmth.stmms.biz.exam.bean;

import io.swagger.annotations.ApiModelProperty;

public class ExamReport {

    @ApiModelProperty(value = "学校名")
    private String schoolName;

    @ApiModelProperty(value = "年度")
    private Integer year;

    @ApiModelProperty(value = "条码张数")
    private Long studentCount;

    @ApiModelProperty(value = "科目数")
    private Long subjectCount;

    @ApiModelProperty(value = "A3科次数")
    private Long subjectiveStudentCount;

    @ApiModelProperty(value = "A4科次数")
    private Long objectiveStudentCount;

    @ApiModelProperty(value = "A3答题卡张数")
    private Long subjectivePaperCount;

    @ApiModelProperty(value = "A4答题卡张数")
    private Long objectivePaperCount;

    @ApiModelProperty(value = "总科次数")
    private Long allUploadStudentCount;

    @ApiModelProperty(value = "总答题卡张数")
    private Long totalPaperCount;

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Long getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Long studentCount) {
        this.studentCount = studentCount;
    }

    public Long getSubjectCount() {
        return subjectCount;
    }

    public void setSubjectCount(Long subjectCount) {
        this.subjectCount = subjectCount;
    }

    public Long getSubjectiveStudentCount() {
        return subjectiveStudentCount;
    }

    public void setSubjectiveStudentCount(Long subjectiveStudentCount) {
        this.subjectiveStudentCount = subjectiveStudentCount;
    }

    public Long getObjectiveStudentCount() {
        return objectiveStudentCount;
    }

    public void setObjectiveStudentCount(Long objectiveStudentCount) {
        this.objectiveStudentCount = objectiveStudentCount;
    }

    public Long getSubjectivePaperCount() {
        return subjectivePaperCount;
    }

    public void setSubjectivePaperCount(Long subjectivePaperCount) {
        this.subjectivePaperCount = subjectivePaperCount;
    }

    public Long getObjectivePaperCount() {
        return objectivePaperCount;
    }

    public void setObjectivePaperCount(Long objectivePaperCount) {
        this.objectivePaperCount = objectivePaperCount;
    }

    public Long getAllUploadStudentCount() {
        return allUploadStudentCount;
    }

    public void setAllUploadStudentCount(Long allUploadStudentCount) {
        this.allUploadStudentCount = allUploadStudentCount;
    }

    public Long getTotalPaperCount() {
        return totalPaperCount;
    }

    public void setTotalPaperCount(Long totalPaperCount) {
        this.totalPaperCount = totalPaperCount;
    }

}
