package cn.com.qmth.stmms.biz.exam.bean;

import cn.com.qmth.stmms.biz.exam.model.ExamSubject;
import cn.com.qmth.stmms.biz.exam.model.Marker;
import cn.com.qmth.stmms.common.enums.MarkMode;
import io.swagger.annotations.ApiModelProperty;

public class MarkInfoVo {

    @ApiModelProperty("未评卷数量")
    private long unMarkedCount;

    @ApiModelProperty("评卷数量")
    private long markedCount;

    @ApiModelProperty("科目未完成数量")
    private long unSubjectFinishCount;

    @ApiModelProperty("科目完成数量")
    private long subjectFinishCount;

    public long getUnMarkedCount() {
        return unMarkedCount;
    }

    public void setUnMarkedCount(long unMarkedCount) {
        this.unMarkedCount = unMarkedCount;
    }

    public long getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(long markedCount) {
        this.markedCount = markedCount;
    }

    public long getUnSubjectFinishCount() {
        return unSubjectFinishCount;
    }

    public void setUnSubjectFinishCount(long unSubjectFinishCount) {
        this.unSubjectFinishCount = unSubjectFinishCount;
    }

    public long getSubjectFinishCount() {
        return subjectFinishCount;
    }

    public void setSubjectFinishCount(long subjectFinishCount) {
        this.subjectFinishCount = subjectFinishCount;
    }
}
